<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  
  //Module de ecommerce pour tout les VADistes
 

  //1. Récupération des données envoyées par les marchands
    //du formulaire ecommerce_exemple.php et du formulaire ecommerce_faux.php
  
  //obligatoirement rempli lors de l'envoi par le marchand
  if(isset($_GET["mailboutique"])) { $mailboutique = $_GET["mailboutique"]; };
  if(isset($_GET["nomboutique"])) { $nomboutique  = $_GET["nomboutique"]; };
  if(isset($_GET["montant"])) { $montant = $_GET["montant"]; };
  if(isset($_GET["numfacture"])) { $numfacture = $_GET["numfacture"]; };
  if(isset($_GET["URLretour"])) { $URLretour = $_GET["URLretour"]; };
  
  //facultatif (doit etre rempli après)
  if(isset($_GET["mailcli"])) { 
    $mailcli = $_GET["mailcli"]; 
  }else{ 
    if(isset($_SESSION["mailcli"])){
      $mailcli = $_SESSION["mailcli"]; 
    }; 
  }; 
  if(isset($_GET["telcli"])) { $telcli = $_GET["telcli"]; };
  
  //ne doit pas être envoyé par le script d'exemple (sécurité oblige)
  
  
  //mise en forme du montant
  // inclure la vérification de montant
  
  //infos envoyés ?
  
  if(isset($mailboutique) and isset($nomboutique) and isset($montant) and isset($numfacture) and isset($URLretour) ) {
  
    if(isset($mailcli) and isset($telcli)) {
    
      if(!empty($mailboutique) and !empty($nomboutique) and !empty($montant) and !empty($numfacture) and !empty($URLretour) ) {
      
        if(!empty($mailcli) and !empty($telcli) ) {
    
          //2. Test de session
          
          if($_SESSION)
          {
            if($mailcli == $_SESSION["mailcli"]) {
              
              //vérifier que les informations sont correctes
              
              $etatCCN = false ; //la carte est initialisé à fausse
              $etatverif = false ; //l'état de vérification global est faux
              
              if(!empty($mailboutique) and !empty($nomboutique) and !empty($montant) and !empty($numfacture) and !empty($URLretour) and !empty($mailcli) and !empty($CCN) and !empty($telcli) ){
                
                if ($connexion) {
                
                  mysql_select_db($base,$connexion) or die ("<p class='erreur'>La base est introuvable.</p>");
                  
                  //si mail boutique existe dans la base
                  $requete="select * from freepay_client where mailcli='".$mailboutique."';"; 
                  $resultat = mysql_query($requete,$connexion);
                  $ligne=mysql_fetch_assoc($resultat);
                  
                  if($ligne) {
                  
                    if($mailboutique != $mailcli) {
                      
                      if($montant > 0.00) {
                        
                        if(10 == strlen($telcli) ) {
                        
                          include("../cb/cb_verif.php"); // inclure la vérification du numero de carte bancaire
                          
                          if(true == $etatCCN){
                            
                            $requete="select * from freepay_carte_bancaire where mailcli='".$mailcli."' and numcb = '".$CCN."';"; 
                            $resultat = mysql_query($requete,$connexion);
                            $ligne=mysql_fetch_assoc($resultat);
                            
                            if($ligne){ //si le numcb a été enregistré auparavent par le client
                              
                              if ($montant > $_SESSION["montantcompte"]) { //si solde du compte du PSP est inférieur au montant transaction
                                
                                //Trouve l'IBAN relié à la carte bancaire
                                $requete="select * from freepay_carte_bancaire where numcb='".$CCN."' ;"; 
                                $resultat = mysql_query($requete,$connexion);
                                $ligne=mysql_fetch_assoc($resultat);
                                
                                $IBAN = $ligne['iban'];
                                
                                //Trouve le montant de l'IBAN
                                
                                $requete="select * from freepay_iban where iban='".$IBAN."' ;"; 
                                $resultat = mysql_query($requete,$connexion);
                                $ligne=mysql_fetch_assoc($resultat);
                                
                                $MontantCompteIBAN = $ligne['montantiban'];
                                
                                if ($montant <= $MontantCompteIBAN ){ //si la demande est inférieure à l'offre
                                  $SommeRequise = $montant - $_SESSION["montantcompte"]; 
                                  
                                  // Faire l'import nécessaire afin d'équilibré le compte du PSP
                                  
                                  mysql_query("UPDATE freepay_iban SET montantiban = montantiban - ".$SommeRequise." where iban='".$ligne['iban']."';");
                                  
                                  mysql_query("INSERT INTO freepay_fonds_importer values 
                                  ('".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', '".$ligne['iban']."', '".$_SESSION["mailcli"]."', '".$SommeRequise."')");
                                  
                                  mysql_query("UPDATE freepay_client SET montantcompte = montantcompte + ".$SommeRequise." where mailcli='".$_SESSION["mailcli"]."';");
                                  $_SESSION["montantcompte"] = $_SESSION["montantcompte"] + $SommeRequise; // MAJ session
                                  
                                }
                              }
                              
                              if ($montant <= $_SESSION["montantcompte"]) {
                                $etatverif = true; 
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
              
              if(true == $etatverif){
                include("ecommerce_vrai.php");
              }
              
              if(false == $etatverif){
                include("ecommerce_faux.php");
              }
              
            }else{
              session_destroy();
              echo '<META HTTP-EQUIV=REFRESH CONTENT="0; URL=http://'.$_SERVER['HTTP_HOST'].'/freepay/support/client/connexion.php?message=b&mailcli='.$mailcli.'">';
            }
          }
          
          
          //2 bis Test de session
          
          if(!$_SESSION) // si non connecté
          { 
            echo '<META HTTP-EQUIV=REFRESH CONTENT="0; URL=http://'.$_SERVER['HTTP_HOST'].'/freepay/support/client/connexion.php?message=a&mailcli='.$mailcli.'">';
          }
          
          
        }else{
          echo "<p class='erreur'>Le champ du mail ou du téléphone du client est <strong>vide</strong>.</p>";
        }
    
      }else{
        echo "<p class='erreur'>Le champ du mail de la boutique, son nom, le montant, le numéro de facture ou URL de retour est <strong>vide</strong>. Veuillez prévenir le marchand.</p>";
      }
    
    }else{
      echo "<p class='erreur'>Le mail du client ou son téléphone n'a pas été renseigné.</p>";
    }
    
  }else{
    echo "<p class='erreur'>Le mail de la boutique, son nom, le montant, le numéro de facture ou URL de retour n'a pas été renseigné par le marchand. Veuillez le prévenir.</p>";
  }

  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
